org.apache.ignite.internal.visor.cache

## Class VisorCacheEvictionConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheEvictionConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCacheEvictionConfiguration
    extends Object
    implements Serializable

Data transfer object for eviction configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheEvictionConfiguration()`

### Method Summary

Methods
`boolean` `evictSynchronized()`
`String` `filter()`
`static VisorCacheEvictionConfiguration` `from(CacheConfiguration ccfg)`
`float` `maxOverflowRatio()`
`String` `policy()`
`Integer` `policyMaxSize()`
`int` `synchronizedConcurrencyLevel()`
`int` `synchronizedKeyBufferSize()`
`long` `synchronizedTimeout()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheEvictionConfiguration

    public VisorCacheEvictionConfiguration()

### Method Detail

#### from

    public static VisorCacheEvictionConfiguration from(CacheConfiguration ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for eviction configuration properties.

#### policy

    @Nullable
    public String policy()

Returns:
  Eviction policy.

#### policyMaxSize

    @Nullable
    public Integer policyMaxSize()

Returns:
  Cache eviction policy max size.

#### filter

    @Nullable
    public String filter()

Returns:
  Eviction filter to specify which entries should not be evicted.

#### synchronizedConcurrencyLevel

    public int synchronizedConcurrencyLevel()

Returns:
  synchronized eviction concurrency level.

#### synchronizedTimeout

    public long synchronizedTimeout()

Returns:
  synchronized eviction timeout.

#### synchronizedKeyBufferSize

    public int synchronizedKeyBufferSize()

Returns:
  Synchronized key buffer size.

#### evictSynchronized

    public boolean evictSynchronized()

Returns:
  Synchronous evicts flag.

#### maxOverflowRatio

    public float maxOverflowRatio()

Returns:
  Eviction max overflow ratio.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015